MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029781Open CASCADE[OCCT] OCCT:Inspectorspublic2018-05-17 06:392018-07-05 10:06
Reporternds 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029781: Samples - Inspector tool - history tree model is not set into external callback in VInspector
DescriptionCreated in a custom application VInspector_CallBack object should be filled by the VInspector history model, otherwise it leads to crash.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0076005)
git (administrator)
2018-05-17 06:48

Branch CR29781 has been created by nds.

SHA-1: 5fd1b53b7e77fe497853a73be1e160b0acc9629a


Detailed log of new commits:

Author: nds
Date: Thu May 17 06:47:57 2018 +0300

    0029781: Samples - Inspector tool - history tree model is not set into external callback in VInspector
    
    - AIS_InteractiveContex and VInspector_ViewModelHistory are set into VInspector_CallBack
    - minor correction of displaySelectedPresentations () to Hide/Show(by popup menu) any AIS_InteractiveObject, not only AIS_Shape (e.g. AIS_Trihedron)
(0076009)
git (administrator)
2018-05-17 09:29

Branch CR29781_1 has been created by nds.

SHA-1: 45f9cc19cf0ef32337e620058c075a21b091ac9a


Detailed log of new commits:

Author: nds
Date: Thu May 17 09:29:04 2018 +0300

    0029781: Samples - Inspector tool - history tree model is not set into external callback in VInspector
    
    - AIS_InteractiveContex and VInspector_ViewModelHistory are set into VInspector_CallBack
    - minor correction of displaySelectedPresentations () to Hide/Show(by popup menu) any AIS_InteractiveObject, not only AIS_Shape (e.g. AIS_Trihedron)
(0076011)
nds (developer)
2018-05-17 11:15

http://jenkins-test-11.nnov.opencascade.com/view/CR29781-master-NDS/ [^]
(0076155)
bugmaster (administrator)
2018-05-23 12:16

Combination -
OCCT branch : CR29781_1 SHA - 45f9cc19cf0ef32337e620058c075a21b091ac9a
Products branch : master SHA - 300cf879a836fb8a5c4636713070ca9cf544749f
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18411.149999999903 / 18243.73999999987 [+0.92%]
Products
Total CPU difference: 0 / 0
Windows-64-VC10:
OCCT
Total CPU difference: 18062.84098669851 / 18049.78370299853 [+0.07%]
Products
Total CPU difference: 0 / 0


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0076953)
git (administrator)
2018-06-23 13:56

Branch CR29781 has been deleted by kgv.

SHA-1: 5fd1b53b7e77fe497853a73be1e160b0acc9629a
(0076954)
git (administrator)
2018-06-23 13:56

Branch CR29781_1 has been deleted by kgv.

SHA-1: 45f9cc19cf0ef32337e620058c075a21b091ac9a

- Related Changesets
occt: master d0fbc7e5
Timestamp: 2018-05-17 06:29:04
Author: abv
Committer: abv
Details ] Diff ]
0029781: Samples - Inspector tool - history tree model is not set into external callback in VInspector

- AIS_InteractiveContex and VInspector_ViewModelHistory are set into VInspector_CallBack
- minor correction of displaySelectedPresentations () to Hide/Show(by popup menu) any AIS_InteractiveObject, not only AIS_Shape (e.g. AIS_Trihedron)
mod - tools/VInspector/VInspector_Window.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-05-17 06:39 nds New Issue
2018-05-17 06:39 nds Assigned To => nds
2018-05-17 06:48 git Note Added: 0076005
2018-05-17 06:49 nds Status new => resolved
2018-05-17 09:29 git Note Added: 0076009
2018-05-17 11:15 nds Note Added: 0076011
2018-05-17 11:16 nds Assigned To nds => bugmaster
2018-05-17 11:16 nds Status resolved => reviewed
2018-05-17 11:16 nds Target Version 7.4.0* => 7.3.0
2018-05-23 12:16 bugmaster Note Added: 0076155
2018-05-23 12:16 bugmaster Status reviewed => tested
2018-05-23 12:17 bugmaster Test case number => Not needed
2018-05-24 16:02 abv Changeset attached => occt master d0fbc7e5
2018-05-24 16:02 abv Assigned To bugmaster => abv
2018-05-24 16:02 abv Status tested => verified
2018-05-24 16:02 abv Resolution open => fixed
2018-06-23 13:56 git Note Added: 0076953
2018-06-23 13:56 git Note Added: 0076954
2018-06-29 21:13 user533 Fixed in Version => 7.3.0
2018-06-29 21:18 user533 Status verified => closed
2018-07-05 10:06 abv Category OCCT:Samples => OCCT:Inspectors


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker